Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.core.proc
Class Find

    java.lang.Object
      org.basex.core.Progress
          org.basex.core.AbstractProcess
              org.basex.core.proc.Proc
                  org.basex.core.proc.Find

    public final class Find

extends Proc

Evaluates the 'find' command. Creates an XPath string for the specified query terms and evaluates it.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Field Summary

Fields inherited from class org.basex.core.AbstractProcess
`cmd`

Constructor Summary
`Find()`

Method Summary
`static java.lang.String` | `find(java.lang.String query, boolean root)` Creates an XPath representation for the specified query.
`static java.lang.String` | `findTable(java.lang.String[] filter, TokenList cols, byte[] tag, Data data)` Creates an XPath representation for the specified table query.
`static java.lang.String[]` | `split(java.lang.String str)` Splits the string and returns an array.

Methods inherited from class org.basex.core.proc.Proc
`det, execute, execute, get, head, info, info, output, output, prog, result, toString`

Methods inherited from class org.basex.core.Progress
`detail, header, progress, progress, stop, stopped`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Find

    public Find()

Method Detail

### find

    public static java.lang.String find(java.lang.String query,
                                        boolean root)

  Creates an XPath representation for the specified query.

  Parameters:
    `query` - query
    `root` - root flag
  Returns:
    XPath query

### findTable

    public static java.lang.String findTable(java.lang.String[] filter,
                                             TokenList cols,
                                             byte[] tag,
                                             Data data)

  Creates an XPath representation for the specified table query.

  Parameters:
    `filter` - filter terms
    `cols` - filter columns
    `tag` - root tag
    `data` - data reference
  Returns:
    XPath xpath expression

### split

    public static java.lang.String[] split(java.lang.String str)

  Splits the string and returns an array.

  Parameters:
    `str` - string to be split
  Returns:
    array

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD